Ubuntu

unreliable wifi connection

Reported by mazerj on 2012-09-06
68
This bug affects 12 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I'm running into intermittent failure to connect to nearby
(strong signal) access points -- the AP's are visible, but network-manager
just spins trying to connect. It's extremely erratic. Rebooting the
machine sometimes fixed the problem, sometimes not. Last night I sat
on the couch and cold booted the machine 5-7 times. First time it
connected, rest of the times if failed (10ft away from the AP). It
seems to be worse following wake from suspend, but it's so
unpredictable I can't seem to track the cause down.

Windows7 connects ever time under the same conditions.

For completeness -- It's a brand new i5 xps13. I installed 12.04LTS
and then updated from the sputnik ppas. I've tried this under both
gnome and xfce4 (at first I thought this was an xfce4 problem, but
it doesn't appear to be).

Any ideas?

EDIT 9/10 -- Attaching dmesg output (don't have logs to tar up
right now -- see comment below)

[ 52.087163] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.088873] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.102329] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.103722] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.116753] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.120238] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.132185] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.134218] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.147188] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.148897] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.162369] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.164063] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.178378] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.180392] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.193279] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.194831] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.208016] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.210019] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.221412] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.223044] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.234768] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.236462] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.250140] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.252073] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.264123] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.265783] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.278022] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.279207] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.290896] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.292606] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.304299] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.305934] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.317802] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.319449] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.333238] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.334266] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.347476] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.349132] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.363014] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.365053] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.377610] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.379275] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.391148] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.393314] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.404757] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.406406] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.418245] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.419932] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.431840] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.433497] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.447151] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.449086] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.461195] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.463631] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.476068] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.477672] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.490759] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.492658] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.505377] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.508202] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.520133] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.521570] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.532573] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.534157] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.545855] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.547454] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.560774] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.562312] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.574054] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.575890] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.588904] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.590800] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.603451] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.605132] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.616790] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.618493] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.630181] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.631854] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.643686] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.645388] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.657194] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.658862] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.673081] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.674977] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.687534] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.689007] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.702591] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.703796] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.717698] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.719679] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.731535] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.733954] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.745985] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.747562] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.759180] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.760878] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.774330] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.775713] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.787607] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.789328] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.800827] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.802455] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.814004] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.816410] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.827148] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.828839] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.840062] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.841778] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.853210] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.854887] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.866342] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.868041] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.879277] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.881078] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.892659] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.894053] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.905579] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.907754] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.920263] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.921958] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.935067] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.937088] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.949832] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.951521] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.963224] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.964905] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.978445] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.979721] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 52.991255] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 52.992873] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.004147] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.006164] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.016872] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.018620] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.029151] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.034261] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.041687] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.043451] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.054532] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.055692] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.066318] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.067981] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.078583] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.080268] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.091407] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.093087] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.104643] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.105920] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.117388] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.119636] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.130481] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.133306] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.145530] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.147133] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.160262] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.162009] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.175343] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.176602] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.187812] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.189499] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.200101] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.201788] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.211857] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.213112] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.223081] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.224916] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.234890] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.236986] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.552360] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.553703] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.565598] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.567724] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.580335] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.581704] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.595865] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.596981] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.607539] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.609251] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.620467] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.623170] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.632967] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.634466] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.644987] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.646668] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.656126] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.658297] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.668279] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.669716] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 53.680361] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 53.682420] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.007342] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.009413] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.022106] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.023809] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.035524] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.037695] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.048908] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.050863] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.062846] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.064833] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.075617] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.077338] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.088779] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.090483] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.101949] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.105049] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.115026] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.116390] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.127119] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.128686] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.139254] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.140930] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.150693] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.152289] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.162897] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.164128] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 54.174113] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 54.175871] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 56.347432] wlan0: deauthenticating from 00:0d:72:72:bd:29 by local choice (reason=3)
[ 56.471965] cfg80211: All devices are disconnected, going to restore regulatory settings
[ 56.471978] cfg80211: Restoring regulatory settings
[ 56.471989] cfg80211: Calling CRDA to update world regulatory domain
[ 56.480587] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom regulatory domain
[ 56.480596] cfg80211: World regulatory domain updated:
[ 56.480600] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 56.480607] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 56.480612] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 56.480617] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 56.480622] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 56.480627] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.746605] wlan0: authenticate with 00:0d:72:72:bd:29 (try 1)
[ 61.749037] wlan0: authenticated
[ 61.749604] wlan0: associate with 00:0d:72:72:bd:29 (try 1)
[ 61.751872] wlan0: RX ReassocResp from 00:0d:72:72:bd:29 (capab=0x71 status=0 aid=5)
[ 61.751883] wlan0: associated
[ 61.756263] cfg80211: Calling CRDA for country: US
[ 61.764873] cfg80211: Updating information on frequency 2412 MHz for a 20 MHz width channel with regulatory rule:
[ 61.764883] cfg80211: 2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.764890] cfg80211: Updating information on frequency 2417 MHz for a 20 MHz width channel with regulatory rule:
[ 61.764896] cfg80211: 2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.764901] cfg80211: Updating information on frequency 2422 MHz for a 20 MHz width channel with regulatory rule:
[ 61.764906] cfg80211: 2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.764911] cfg80211: Updating information on frequency 2427 MHz for a 20 MHz width channel with regulatory rule:
[ 61.764917] cfg80211: 2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.764921] cfg80211: Updating information on frequency 2432 MHz for a 20 MHz width channel with regulatory rule:
[ 61.764927] cfg80211: 2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.764932] cfg80211: Updating information on frequency 2437 MHz for a 20 MHz width channel with regulatory rule:
[ 61.764937] cfg80211: 2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.764942] cfg80211: Updating information on frequency 2442 MHz for a 20 MHz width channel with regulatory rule:
[ 61.764947] cfg80211: 2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.764952] cfg80211: Updating information on frequency 2447 MHz for a 20 MHz width channel with regulatory rule:
[ 61.764958] cfg80211: 2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.764962] cfg80211: Updating information on frequency 2452 MHz for a 20 MHz width channel with regulatory rule:
[ 61.764968] cfg80211: 2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.764991] cfg80211: Updating information on frequency 2457 MHz for a 20 MHz width channel with regulatory rule:
[ 61.764997] cfg80211: 2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.765002] cfg80211: Updating information on frequency 2462 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765007] cfg80211: 2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.765012] cfg80211: Disabling freq 2467 MHz
[ 61.765015] cfg80211: Disabling freq 2472 MHz
[ 61.765020] cfg80211: Updating information on frequency 5180 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765025] cfg80211: 5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[ 61.765030] cfg80211: Updating information on frequency 5200 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765036] cfg80211: 5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[ 61.765040] cfg80211: Updating information on frequency 5220 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765046] cfg80211: 5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[ 61.765051] cfg80211: Updating information on frequency 5240 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765056] cfg80211: 5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[ 61.765061] cfg80211: Updating information on frequency 5260 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765067] cfg80211: 5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765071] cfg80211: Updating information on frequency 5280 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765077] cfg80211: 5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765082] cfg80211: Updating information on frequency 5300 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765087] cfg80211: 5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765092] cfg80211: Updating information on frequency 5320 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765098] cfg80211: 5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765103] cfg80211: Updating information on frequency 5500 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765108] cfg80211: 5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765113] cfg80211: Updating information on frequency 5520 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765119] cfg80211: 5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765124] cfg80211: Updating information on frequency 5540 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765129] cfg80211: 5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765134] cfg80211: Updating information on frequency 5560 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765140] cfg80211: 5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765145] cfg80211: Updating information on frequency 5580 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765150] cfg80211: 5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765155] cfg80211: Disabling freq 5600 MHz
[ 61.765158] cfg80211: Disabling freq 5620 MHz
[ 61.765161] cfg80211: Disabling freq 5640 MHz
[ 61.765165] cfg80211: Updating information on frequency 5660 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765171] cfg80211: 5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765175] cfg80211: Updating information on frequency 5680 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765181] cfg80211: 5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765186] cfg80211: Updating information on frequency 5700 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765191] cfg80211: 5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765196] cfg80211: Updating information on frequency 5745 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765202] cfg80211: 5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[ 61.765206] cfg80211: Updating information on frequency 5765 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765212] cfg80211: 5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[ 61.765217] cfg80211: Updating information on frequency 5785 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765222] cfg80211: 5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[ 61.765227] cfg80211: Updating information on frequency 5805 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765232] cfg80211: 5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[ 61.765237] cfg80211: Updating information on frequency 5825 MHz for a 20 MHz width channel with regulatory rule:
[ 61.765243] cfg80211: 5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[ 61.765254] cfg80211: Regulatory domain changed to country: US
[ 61.765258] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 61.765264] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 61.765269] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[ 61.765274] cfg80211: (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765279] cfg80211: (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765284] cfg80211: (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 61.765289] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[ 63.173910] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.175917] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.185724] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.187676] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.200120] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.201825] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.213988] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.215840] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.229570] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.231360] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.243476] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.245177] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.252785] vboxdrv: Found 4 processor cores.
[ 63.253174] vboxdrv: fAsync=0 offMin=0x588 offMax=0x2490
[ 63.253286] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
[ 63.253291] vboxdrv: Successfully loaded version 4.1.20 (interface 0x00190000).
[ 63.260386] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.261986] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.275392] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.277494] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.291370] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.293393] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.306279] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.308004] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.322539] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.324508] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.336680] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.338342] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.351392] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.354073] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.366134] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.367814] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.379453] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.381553] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.392417] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.394817] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.404700] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.407709] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.415907] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.418438] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.428527] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.430832] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.439408] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.442397] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.451253] psmouse serio1: Trackpad at isa0060/serio1/input0 lost sync at byte 1
[ 63.453088] psmouse serio1: Trackpad at isa0060/serio1/input0 - driver resynced.
[ 63.472351] vboxpci: IOMMU not found (not registered)
[ 72.240444] wlan0: no IPv6 routers present

Christopher Townsend (townsend) wrote :

@mazerj,

Could you tar.gz up /var/log and attach it to this bug?

Also, could you provide what type of WiFi security (if any) are you using (WEP/WPA/WPA2) and the authentication type (PSK/TKIP/AES)?

Thanks!

mazerj (james-mazer) on 2012-09-10
description: updated
mazerj (james-mazer) wrote :

Over the weekend I realized that in upgrading from 11.04 (my old xps m1330) to 12.04 (new xps13) network-manager converted all my connectiosn to "Open System" from "Shared Key". Or at least that's what it looks like. I manually switched them to Shared Key and now the xps13 is reliably connecting to all the APs I'd had trouble with before.

This doesn't explain why I was seeing intermittent failures with "Open System" and I haven't had time to play around to confirm this is actually the solution. To be honest, one of the reasons I bought this machine was because I thought Dell had the drivers working well enough to not have to deal with this stuff...

In the mean time, I've appended a dmesg dump I saved when I was debugging, but don't have the full /var/log dir available right now. I'll try to replicated the problem when I have time.

By the way, the dmesg dump above also shows the "lost sync" driver errors being generated by the trackpad.

mazerj (james-mazer) wrote :

Old last update -- the APs in question were a 2wire integrated DSL modem, a cisco wireless router and a campus-wide high end cisco APs (no details; installed in the ceilings). WPA2 personal, one 128bit WEP and one WPA2 Enterprise (PEAP)

Christopher Townsend (townsend) wrote :

Hi mazerj,

Thanks for providing some additional information. Your bug doesn't say, but do you have an Intel 6235 wireless card in your XPS?

Also, I don't think this is a wireless driver issue per se. Based on your comments about switching from Open System to Shared Key, this sounds more like a configuration issue. However, I'm a bit confused about something you said.

In the original bug description, you say you installed 12.04LTS w/ the PPA enabled on the new XPS. but in a later comment you say you upgraded from 11.04 to 12.04. How/what exactly did you upgrade between the old XPS and the new XPS? Could you please expand on this? I think perhaps something got botched during this.

Christopher Townsend (townsend) wrote :

Hi mazerj,

Whenever you can get the .tar.gz of /var/log, that would be most helpful.

Thanks!

Christopher Townsend (townsend) wrote :

After some investigation, there have been other users of different laptop manufacturers running into similar issues:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/984552
http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2368

If you still are running into this issue, could you try the following:
sudo modprobe -r iwlwifi
sudo modprobe iwlwifi 11n_disable=1

If that works, then for a temporary solution, you could add the following to make this persistent:
sudo sh -c 'echo "options iwlwifi 11n_disable=1" > /etc/modprobe.d/iwlwifi.conf'

I can just tar up /var/log and send it to you -- but it'll
be a lot of stuff to wade through. Would that actually help?
/jamie

On 09/11/12 10:17, Christopher Townsend wrote:
> Hi mazerj,
>
> Whenever you can get the .tar.gz of /var/log, that would be most
> helpful.
>
> Thanks!
>

--
James Mazer
Department of Neurobiology
Yale School of Medicine
phone: 203-737-5853
fax: 203-785-5263

Kenzo Van Craeynest (kevcraey) wrote :

I'm having similar problems as the bug reporter, here is my log:

mazerj (james-mazer) wrote :

Hi Christopher,

I just tar'd up /var/log -- I didn't have time to remove the irrelvant bits, so it's big (~3M), but this way everything available is there. Except for the last day or so of logs, the wifi was intermittent as described above. Over the last couple days when I manually switched the network config from "Open System" to "Shared Key" things stabilized (as noted above).

Unfortunately, because of the instabilities, I sent the machine back to the vendor yesterday. Between the week I spent trying to sort this out and the fact that I can't reliably use the system for giving presentations with an external LCD (this is actually the killer for me!), I went back to my trusty XPS M1330 which just plain works all the time under 11.04. I suspect that some of the problems I experienced are partially 12.04 related and not 100% because of the XPS. But there's no way to run 11.04 on the xps13 since it's too bleeding edge..

Sad -- I spent almost three weeks using the machine and trying to make everything work..

Attached are the logs -- let me know if there's anything else I can do.

/jamie

Christopher Outram (outram) wrote :

If it helps, i'm also experience a spotty wifi connection at work connection to an apple airport on my xps 13. Which has 10-20% packet loss everytime I ping google.com.

I also have a Lattitude E6410 which doesn't have any packet loss when I ping google.

FWIW, I've seen lots of posting from other users on other laptops but with the Intel 6200/6300 wireless on Ubuntu and Arch Linux. Apparently there's a kernel fix in some time after 3.3.1 (users upgrading on Arch to 3.3.1 were reporting the issue that others said were fixed in a later version).

Considering we're on 3.2.0, I wonder if it really *is* a driver issue. Myself and two coworkers also have other laptops with 6200 or 6300 series networking (XPS13 has the 6230) have had LOTS of issues at work on some enterprise APs. Booting into Windows on these laptops and voila, the hardware works just fine. It's definitely a Linux driver issue.

Whether this is something that can be fixed with Canonical and Dell seems out of scope of Project Sputnik unless Dell/Canonical can update our kernel to a version where this driver gets fixed.

I'm now convinced this is a driver problem.

Has any one tried what I suggested in comment #6? This seems to help in many cases.

Kenzo Van Craeynest (kevcraey) wrote :

I have, but it doesn't solve anything on this machine. If there is any information, or anything I can do to help resolve the issue, I'd be glad to help.

athens (dhchoi) wrote :

I have a Dell XPS 13 with Sputnik Ubuntu installed, and I added the private repo and updated my Linux kernel to

Linux xps 3.2.0-32-generic #51+kamal11~DellXPS-Ubuntu SMP Tue Oct 9 17:38:00 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

I had the wifi problems reported above. After about 1 minute or so of normal connectivity, the wifi connection would get slow and ping would report frequent lost packets. This occurred on different WiFi networks I tried.

I tried the patch suggested above:

sudo modprobe -r iwlwifi
sudo modprobe iwlwifi 11n_disable=1

And I also made it persistent in /etc/modprobe.d/iwlwifi.conf

This seems to fix the wifi reliability issues somewhat, but after about 10 minutes connected on any wifi network, the connection starts slowing, pausing, and dropping packets.

Usually disconnecting from the wifi network and then reconnecting to the same network will restore normal a wifi connection. But then after a few minutes the problems will reappear.

If I connect my Dell XPS 13 to my iPhone via USB and use the iPhone as a WiFi modem that way, I don't experience the problems I just described.

Tim Earle (earle-timothy) wrote :

I had to use my tablet to check the bug reports. This effectively turned the xps into an expensive paperweight.

Kyle Fazzari (kyle.f) wrote :

Tim, it would be helpful to know what version of Ubuntu you're running (12.04, 12.10?) and whether or not you're utilizing the Sputnik PPAs. Do you have any logs you could share?

Tim Earle (earle-timothy) wrote :

12.10 with the Sputnik PPAs.

I'll upload dmesg and any other recommended logs.

MikeCamel (mike-hingston) wrote :

Any news on this?

I'm on 12.04, stock Sputnik. I can usually log in at work (though sometimes it can be a little temperamental), but I'm having real problems on my home AP (Linksys WAP54GV31) - it just won't connect at all. I've also got a BT Home Hub 3 (who knows what that's running...) to whichist seems quite happy to connect.

Happy to provide more details.

MikeCamel (mike-hingston) wrote :

Oh - the Linksys AP is running B & G, but not N.

MikeCamel (mike-hingston) wrote :

I upgraded to 12.10 and then moved to the kernel PPA, as suggested in http://en.community.dell.com/techcenter/os-applications/f/4613/p/19467541/20251000.aspx#20251000, but this didn't seem to help. What I'm seeing now is a connection starting up, and the password request box coming up (/var/log/syslog shows wpa-supplicant activity, as expected), but when I put in the password, it always fails. It seems that there's a brief connection - enough to get the wpa-supplicant process running - but that it then dies before wpa-supplicant can complete.

The password is already set for the AP, though, so it's unclear to me why it's asking for it in the first place. Other devices are connecting just fine.

Eryn O'Neil (eryn-oneil) wrote :
Download full text (5.9 KiB)

I've also experienced what MikeCamel reports (tries to connect, password box comes up even though I have saved my password, never fully connects). This chunk was repeating in dmesg during that process:

[ 844.172951] wlan0: authenticate with c0:c1:c0:51:c0:0c (try 1)
[ 844.370605] wlan0: authenticate with c0:c1:c0:51:c0:0c (try 2)
[ 844.371553] wlan0: authenticated
[ 844.381639] wlan0: associate with c0:c1:c0:51:c0:0c (try 1)
[ 844.578386] wlan0: associate with c0:c1:c0:51:c0:0c (try 2)
[ 844.579889] wlan0: RX ReassocResp from c0:c1:c0:51:c0:0c (capab=0x11 status=0 aid=1)
[ 844.579899] wlan0: associated
[ 852.554808] wlan0: deauthenticated from c0:c1:c0:51:c0:0c (Reason: 15)
[ 852.603444] cfg80211: All devices are disconnected, going to restore regulatory settings
[ 852.603465] cfg80211: Restoring regulatory settings
[ 852.603478] cfg80211: Calling CRDA to update world regulatory domain
[ 852.611965] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom regulatory domain
[ 852.611975] cfg80211: World regulatory domain updated:
[ 852.611979] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 852.611985] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 852.611991] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 852.611996] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 852.612001] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 852.612007] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 856.034720] wlan0: authenticate with c0:c1:c0:51:c0:0b (try 1)
[ 856.036711] wlan0: authenticated
[ 856.046410] wlan0: associate with c0:c1:c0:51:c0:0b (try 1)
[ 856.052724] wlan0: RX ReassocResp from c0:c1:c0:51:c0:0b (capab=0x411 status=0 aid=2)
[ 856.052737] wlan0: associated
[ 864.021655] wlan0: deauthenticated from c0:c1:c0:51:c0:0b (Reason: 15)
[ 864.066276] cfg80211: All devices are disconnected, going to restore regulatory settings
[ 864.066294] cfg80211: Restoring regulatory settings
[ 864.066305] cfg80211: Calling CRDA to update world regulatory domain
[ 864.075215] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom regulatory domain
[ 864.075223] cfg80211: World regulatory domain updated:
[ 864.075227] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 864.075234] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 864.075240] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 864.075246] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 864.075251] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 864.075256] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 867.487985] wlan0: authenticate with c0:c1:c0:51:c0:0b (try 1)
[ 867.490920] wlan0: authenticated
[ 867.491603] wlan0: associate with c0:c1:c0:51:c0:0b (try 1)
[ 867.498503] wlan0: RX ReassocResp from c0:c1:c0:51:c0:0b (capab=0x411 status=0 aid=2)
[ 867.49...

Read more...

MikeCamel (mike-hingston) wrote :

Some extra information, for the record:

$ lspci
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QS77 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
01:00.0 Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)

$ uname -a
Linux mike-xps13 3.5.0-21-generic #32+kamal11~DellXPS-Ubuntu SMP Wed Dec 12 18:27:38 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Could the slowdown in network connectivity relate to DNS rather than the WiFi card directly. I have tried every solution for WiFi issues on the Ivy Bridge XPS13 running the kernel from the Project Sputnik PPA, however I am still encountering severe sluggishness when browsing/connecting to new domains. Even pinging google.com is painfully slow, however pinging the ip address of google.com resolves instantly. http://youtu.be/Q3fyRgX31l4

Download full text (8.6 KiB)

The symptoms I've got are bizarre. With my home router, things sometimes work great, and other times every site is painfully slow. pinging google.com shows some packet loss (~5%) and ridiculous latencies of about 4 seconds! Disconnecting and reconnecting sometimes fixes it. Using the production XPS 13 Developer Edition with stock software.

$ ping www.google.com
PING www.google.com (74.125.129.106) 56(84) bytes of data.
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=1 ttl=47 time=5180 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=2 ttl=47 time=5256 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=3 ttl=47 time=5352 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=4 ttl=47 time=4819 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=5 ttl=47 time=4906 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=6 ttl=47 time=4775 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=7 ttl=47 time=4309 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=8 ttl=47 time=4335 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=9 ttl=47 time=4475 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=11 ttl=47 time=4343 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=12 ttl=47 time=4455 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=13 ttl=47 time=4486 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=14 ttl=47 time=3486 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=15 ttl=47 time=4176 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=16 ttl=47 time=3417 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=17 ttl=47 time=2960 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=18 ttl=47 time=3394 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=19 ttl=47 time=3331 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=20 ttl=47 time=3897 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=21 ttl=47 time=3991 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=23 ttl=47 time=3989 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=24 ttl=47 time=3460 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=25 ttl=47 time=3579 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=26 ttl=47 time=4145 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=27 ttl=47 time=4189 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=28 ttl=47 time=4273 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=29 ttl=47 time=3959 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=30 ttl=47 time=3578 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=31 ttl=47 time=3672 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=32 ttl=47 time=3762 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=33 ttl=47 time=3278 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=34 ttl=47 time=3359 ms
64 bytes from pd-in-f106.1e100.net (74.125.129.106): icmp_req=35 ...

Read more...

I'm running Kubuntu 13.04 on a Dell XPS 15 with the same wireless network card:
Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)

I had the same issues with high latency and many packages lost.

To fix the issue I disabled power-saving for the wireless card using laptop-mode-tools:
sudo apt-get install laptop-mode-tools

sudo nano /etc/laptop-mode/conf.d/wireless-power.conf
Change:
WIRELESS_BATT_POWER_SAVING=1
to:
WIRELESS_BATT_POWER_SAVING=0

sudo service laptop-mode restart

matt (rmalleman) wrote :

I'm running the Dell Sputnik Developer edition with the stock (12.04) OS, and i'm having the same issues that everybody else is reporting in this ticket. It seems to be fine when I'm at work, but when i'm at home I have to tether my phone's wifi connection to get anything done. In a previous Dell laptop I owned with intel wireless, I had to disable N like in post #6, but I was hoping with vendor supported drivers I wouldn't have that issue. Has anybody figured out a definitive way to fix this issue without having to disable wireless N support?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

mazerj, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc4

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: New → Confirmed
affects: dell-sputnik → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: needs-kernel-logs needs-upstream-testing regression-potential
removed: wifi xps13

sorry, I returned the unit a year ago (after spending ~3 weeks of trying to
get
networking to work reliably)... sorry/disappointed to hear this is still an
issue on a dell supported device after all this time.. not quite sure how
that's possible on a laptop dell bills as a developers platform..
good luck.
/Jamie

On Tuesday, August 6, 2013, Christopher M. Penalver wrote:

> mazerj, could you please confirm this issue exists with the latest
> development release of Ubuntu? ISO images are available from
> http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains,
> could you please run the following command in the development release
> from a Terminal (Applications->Accessories->Terminal), as it will
> automatically gather and attach updated debug information to this
> report:
>
> apport-collect -p linux <replace-with-bug-number>
>
> Also, could you please test the latest upstream kernel available following
> https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional
> upstream developers to examine the issue. Please do not test the daily
> folder, but the one all the way at the bottom. Once you've tested the
> upstream kernel, please comment on which kernel version specifically you
> tested. If this bug is fixed in the mainline kernel, please add the
> following tags:
> kernel-fixed-upstream
> kernel-fixed-upstream-VERSION-NUMBER
>
> where VERSION-NUMBER is the version number of the kernel you tested. For
> example:
> kernel-fixed-upstream-v3.11-rc4
>
> This can be done by clicking on the yellow circle with a black pencil icon
> next to the word Tags located at the bottom of the bug description. As
> well, please remove the tag:
> needs-upstream-testing
>
> If the mainline kernel does not fix this bug, please add the following
> tags:
> kernel-bug-exists-upstream
> kernel-bug-exists-upstream-VERSION-NUMBER
>
> As well, please remove the tag:
> needs-upstream-testing
>
> If you are unable to test the mainline kernel, please comment as to why
> specifically you were unable to test it and add the following tags:
> kernel-unable-to-test-upstream
> kernel-unable-to-test-upstream-VERSION-NUMBER
>
> Once testing of the upstream kernel is complete, please mark this bug's
> Status as Confirmed. Please let us know your results. Thank you for your
> understanding.
>
> ** Project changed: dell-sputnik => linux (Ubuntu)
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
> ** Tags removed: wifi xps13
> ** Tags added: needs-kernel-logs needs-upstream-testing
> regression-potential
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1046912
>
> Title:
> unreliable wifi connection
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1046912/+subscriptions
>

--
James Mazer
Department of Neurobiology
Yale School of Medicine
phone: 203-737-5853
fax: 203-785-5263

Changed in linux (Ubuntu):
importance: Undecided → Medium

mazerj, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1046912/comments/31 regarding you no longer have the hardware. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.